function tY=tri2coor_e(T,Yw);


% Descripcion
% -----------
%
% TRI2COOR_E es una funcion erronea que pasa de triestímulos a coord crom y
% luminancia.
%
%
% Entradas
% --------
%
% Para hacer este cálculo son necesarios:
%  
%    * Los N vectores triestimulo que queremos transformar 
%      (matriz N*3 -un color en cada fila-).
%
%    * Las unidades tricromáticas del sistema de primarios que estemos
%      usando (para el cálculo de la lumiancia).
%      (matriz 1*3)
%
% Salidas
% -------
%
% El resultado se dará en una matriz N*3 donde en cada fila haya un color, y las dos primeras columnas
% contengan las coordenadas cromaticas y la última tenga la luminancia.
%
% Sintaxis
% --------
%
% USO: tY=tri2coor_e(T,Yw)

tam=size(T);

N=tam(1);

tY=zeros(N,3);

for i=1:N
    To=T(i,:);
    to=To/sum(To);
    Yo=To*Yw';
    tY(i,:)=[to(1:2) Yo];
end    
